Subject: Re: Micrel Phy - Is there a way to configure the Phy not to do 802.3x flow control?

From: Florian Fainelli <[email-masked]>
Date: Thu, 3 Mar 2016 16:16:23 -0800

On 03/03/16 14:18, Murali Karicheri wrote:
> Hi,
> 
> We are using Micrel Phy in one of our board and wondering if we can force the
> Phy to disable flow control at start. I have a 1G ethernet switch connected
> to Phy and the phy always enable flow control. I would like to configure the
> phy not to flow control. Is that possible and if yes, what should I do in the
> my Ethernet driver to tell the Phy not to enable flow control?

The PHY is not doing flow control per-se, your pseudo Ethernet MAC in
the switch is doing, along with the link partner advertising support for
it. You would want to make sure that your PHY device interface (provided
that you are using the PHY library) is not starting with Pause
advertised, but it could be supported.

As Andrew indicated the proper way to do this is do to use ethtool if
you need to this dynamically.
-- 
Florian